{"openapi":"3.1.1","info":{"title":"Planning Center Groups\n","version":"2023-07-10","description":"Planning Center Groups can help you create an online group index, take signups,\nand track attendance.\n","termsOfService":"https://planningcenter.com/terms","contact":{"name":"Planning Center","url":"https://www.planningcenter.com","email":"support@planningcenter.com"},"x-pco-api-version":"16.1.0"},"externalDocs":{"description":"Planning Center developer documentation","url":"https://planningcenter.com/developers"},"servers":[{"url":"https://api.planningcenteronline.com/groups/v2"}],"security":[{"oauth2":["groups"]},{"personal_access_token":[]}],"tags":[{"name":"Person","description":"A person is a user of Planning Center.\nThey can be a member of a group, a leader of a group, or an administrator.\n"},{"name":"Group","description":"A group of people that meet together regularly.\n"},{"name":"GroupApplication","description":"A group application is a request to join a group which can be approved or rejected.\n"},{"name":"Campus","description":"A campus as defined in Planning Center Accounts\n"},{"name":"Event","description":"An event is a meeting of a group. It has a start and end time, and can be\neither physical or virtual.\n"},{"name":"GroupType","description":"A group type is a category of groups.\nFor example, a church might have group types for \"Small Groups\" and \"Classes\".\n"},{"name":"TagGroup","description":"A way to group related tags.\nFor example you could have a \"Life Stage\" tag group\nwith tags like \"Child\", \"Teen\", \"Adult\", etc.\n"}],"paths":{"/campuses":{"summary":"Campus","description":"A campus as defined in Planning Center Accounts\n","get":{"tags":["Campus"],"parameters":[{"$ref":"#/components/parameters/campus_where_id_parameter"},{"$ref":"#/components/parameters/campus_where_name_parameter"},{"$ref":"#/components/parameters/campus_order_parameter"},{"$ref":"#/components/parameters/campus_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_campuses_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/campuses/{campus_id}":{"summary":"Campus","description":"A campus as defined in Planning Center Accounts\n","get":{"tags":["Campus"],"parameters":[{"name":"campus_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Campus id"},{"$ref":"#/components/parameters/campus_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_campuses_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/campuses/{campus_id}/groups":{"summary":"Group","description":"A group of people that meet together regularly.\n","get":{"tags":["Campus"],"parameters":[{"name":"campus_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Campus id"},{"$ref":"#/components/parameters/group_where_archive_status_parameter"},{"$ref":"#/components/parameters/group_where_name_parameter"},{"$ref":"#/components/parameters/grouptype_where_group_type_id_parameter"},{"$ref":"#/components/parameters/group_where_location_group_archive_status_parameter"},{"$ref":"#/components/parameters/group_where_location_group_name_parameter"},{"$ref":"#/components/parameters/group_order_parameter"},{"$ref":"#/components/parameters/group_include_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_all_fields_parameter"},{"$ref":"#/components/parameters/grouptype_all_fields_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/campus_groups_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/campuses/{campus_id}/groups/{group_id}":{"summary":"Group","description":"A group of people that meet together regularly.\n","get":{"tags":["Campus"],"parameters":[{"name":"campus_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Campus id"},{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"$ref":"#/components/parameters/group_include_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_all_fields_parameter"},{"$ref":"#/components/parameters/grouptype_all_fields_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/campus_groups_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Campus"],"parameters":[{"name":"campus_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Campus id"},{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"$ref":"#/components/parameters/group_include_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_all_fields_parameter"},{"$ref":"#/components/parameters/grouptype_all_fields_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/group_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/campus_groups_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/events":{"summary":"Event","description":"An event is a meeting of a group. It has a start and end time, and can be\neither physical or virtual.\n","get":{"tags":["Event"],"parameters":[{"$ref":"#/components/parameters/organization_events_filter_parameter"},{"$ref":"#/components/parameters/event_where_name_parameter"},{"$ref":"#/components/parameters/event_where_starts_at_parameter"},{"$ref":"#/components/parameters/event_where_starts_at_gt_parameter"},{"$ref":"#/components/parameters/event_where_starts_at_gte_parameter"},{"$ref":"#/components/parameters/event_where_starts_at_lt_parameter"},{"$ref":"#/components/parameters/event_where_starts_at_lte_parameter"},{"$ref":"#/components/parameters/event_where_ends_at_parameter"},{"$ref":"#/components/parameters/event_where_ends_at_gt_parameter"},{"$ref":"#/components/parameters/event_where_ends_at_gte_parameter"},{"$ref":"#/components/parameters/event_where_ends_at_lt_parameter"},{"$ref":"#/components/parameters/event_where_ends_at_lte_parameter"},{"$ref":"#/components/parameters/group_where_group_archive_status_parameter"},{"$ref":"#/components/parameters/group_where_group_name_parameter"},{"$ref":"#/components/parameters/grouptype_where_group_group_type_id_parameter"},{"$ref":"#/components/parameters/group_where_location_group_archive_status_parameter"},{"$ref":"#/components/parameters/group_where_location_group_name_parameter"},{"$ref":"#/components/parameters/event_order_parameter"},{"$ref":"#/components/parameters/event_include_parameter"},{"$ref":"#/components/parameters/event_all_fields_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/grouptype_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_events_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/events/{event_id}":{"summary":"Event","description":"An event is a meeting of a group. It has a start and end time, and can be\neither physical or virtual.\n","get":{"tags":["Event"],"parameters":[{"name":"event_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Event id"},{"$ref":"#/components/parameters/event_include_parameter"},{"$ref":"#/components/parameters/event_all_fields_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/grouptype_only_attributes_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_events_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/events/{event_id}/attendances":{"summary":"Attendance","description":"Individual event attendance for a person.\n","get":{"tags":["Event"],"parameters":[{"name":"event_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Event id"},{"$ref":"#/components/parameters/event_attendances_filter_parameter"},{"$ref":"#/components/parameters/attendance_where_role_parameter"},{"$ref":"#/components/parameters/person_where_person_first_name_parameter"},{"$ref":"#/components/parameters/person_where_person_last_name_parameter"},{"$ref":"#/components/parameters/attendance_order_parameter"},{"$ref":"#/components/parameters/attendance_include_parameter"},{"$ref":"#/components/parameters/attendance_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/event_attendances_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/events/{event_id}/attendances/{attendance_id}/person":{"summary":"Person","description":"A person is a user of Planning Center.\nThey can be a member of a group, a leader of a group, or an administrator.\n","get":{"tags":["Event"],"parameters":[{"name":"event_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Event id"},{"name":"attendance_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Attendance id"},{"$ref":"#/components/parameters/person_where_first_name_parameter"},{"$ref":"#/components/parameters/person_where_last_name_parameter"},{"$ref":"#/components/parameters/person_order_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/attendance_person_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/events/{event_id}/attendances/{attendance_id}/person/{person_id}":{"summary":"Person","description":"A person is a user of Planning Center.\nThey can be a member of a group, a leader of a group, or an administrator.\n","get":{"tags":["Event"],"parameters":[{"name":"event_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Event id"},{"name":"attendance_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Attendance id"},{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/attendance_person_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/events/{event_id}/group":{"summary":"Group","description":"A group of people that meet together regularly.\n","get":{"tags":["Event"],"parameters":[{"name":"event_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Event id"},{"$ref":"#/components/parameters/group_where_archive_status_parameter"},{"$ref":"#/components/parameters/group_where_name_parameter"},{"$ref":"#/components/parameters/grouptype_where_group_type_id_parameter"},{"$ref":"#/components/parameters/group_where_location_group_archive_status_parameter"},{"$ref":"#/components/parameters/group_where_location_group_name_parameter"},{"$ref":"#/components/parameters/group_order_parameter"},{"$ref":"#/components/parameters/group_include_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_all_fields_parameter"},{"$ref":"#/components/parameters/grouptype_all_fields_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/event_group_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/events/{event_id}/group/{group_id}":{"summary":"Group","description":"A group of people that meet together regularly.\n","get":{"tags":["Event"],"parameters":[{"name":"event_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Event id"},{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"$ref":"#/components/parameters/group_include_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_all_fields_parameter"},{"$ref":"#/components/parameters/grouptype_all_fields_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/event_group_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Event"],"parameters":[{"name":"event_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Event id"},{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"$ref":"#/components/parameters/group_include_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_all_fields_parameter"},{"$ref":"#/components/parameters/grouptype_all_fields_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/group_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/event_group_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/events/{event_id}/location":{"summary":"Location","description":"A physical event location\n","get":{"tags":["Event"],"parameters":[{"name":"event_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Event id"},{"$ref":"#/components/parameters/group_where_group_archive_status_parameter"},{"$ref":"#/components/parameters/group_where_group_name_parameter"},{"$ref":"#/components/parameters/grouptype_where_group_group_type_id_parameter"},{"$ref":"#/components/parameters/location_include_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/grouptype_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/event_location_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/events/{event_id}/location/{location_id}":{"summary":"Location","description":"A physical event location\n","get":{"tags":["Event"],"parameters":[{"name":"event_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Event id"},{"name":"location_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Location id"},{"$ref":"#/components/parameters/location_include_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/grouptype_only_attributes_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/event_location_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/events/{event_id}/location/{location_id}/group":{"summary":"Group","description":"A group of people that meet together regularly.\n","get":{"tags":["Event"],"parameters":[{"name":"event_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Event id"},{"name":"location_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Location id"},{"$ref":"#/components/parameters/group_where_archive_status_parameter"},{"$ref":"#/components/parameters/group_where_name_parameter"},{"$ref":"#/components/parameters/grouptype_where_group_type_id_parameter"},{"$ref":"#/components/parameters/group_where_location_group_archive_status_parameter"},{"$ref":"#/components/parameters/group_where_location_group_name_parameter"},{"$ref":"#/components/parameters/group_order_parameter"},{"$ref":"#/components/parameters/group_include_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_all_fields_parameter"},{"$ref":"#/components/parameters/grouptype_all_fields_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/location_group_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/events/{event_id}/location/{location_id}/group/{group_id}":{"summary":"Group","description":"A group of people that meet together regularly.\n","get":{"tags":["Event"],"parameters":[{"name":"event_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Event id"},{"name":"location_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Location id"},{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"$ref":"#/components/parameters/group_include_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_all_fields_parameter"},{"$ref":"#/components/parameters/grouptype_all_fields_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/location_group_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Event"],"parameters":[{"name":"event_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Event id"},{"name":"location_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Location id"},{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"$ref":"#/components/parameters/group_include_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_all_fields_parameter"},{"$ref":"#/components/parameters/grouptype_all_fields_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/group_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/location_group_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/events/{event_id}/notes":{"summary":"EventNote","description":"Notes that group leaders can write for an event, generally related to attendance.\n","get":{"tags":["Event"],"parameters":[{"name":"event_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Event id"},{"$ref":"#/components/parameters/eventnote_include_parameter"},{"$ref":"#/components/parameters/eventnote_all_fields_parameter"},{"$ref":"#/components/parameters/owner_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/event_notes_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/events/{event_id}/notes/{event_note_id}/owner":{"summary":"Owner","description":"The owner/creator of an event note.\n","get":{"tags":["Event"],"parameters":[{"name":"event_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Event id"},{"name":"event_note_id","in":"path","schema":{"type":"string"},"required":true,"description":"The EventNote id"},{"$ref":"#/components/parameters/owner_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/event_note_owner_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/events/{event_id}/notes/{event_note_id}/owner/{owner_id}":{"summary":"Owner","description":"The owner/creator of an event note.\n","get":{"tags":["Event"],"parameters":[{"name":"event_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Event id"},{"name":"event_note_id","in":"path","schema":{"type":"string"},"required":true,"description":"The EventNote id"},{"name":"owner_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Owner id"},{"$ref":"#/components/parameters/owner_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/event_note_owner_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/events/{event_id}/notes/{note_id}":{"summary":"EventNote","description":"Notes that group leaders can write for an event, generally related to attendance.\n","get":{"tags":["Event"],"parameters":[{"name":"event_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Event id"},{"name":"note_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Note id"},{"$ref":"#/components/parameters/eventnote_include_parameter"},{"$ref":"#/components/parameters/eventnote_all_fields_parameter"},{"$ref":"#/components/parameters/owner_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/event_notes_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/events/{event_id}/rsvps":{"summary":"RSVP","description":"A person's RSVP response for a group event.\nRSVPs can be submitted at any point leading up to the event.\nWhen an event reminder is sent, `awaiting_response` RSVPs are generated for\nany remaining members, or `not_sent` if they're missing an email address.\n","get":{"tags":["Event"],"parameters":[{"name":"event_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Event id"},{"$ref":"#/components/parameters/rsvp_where_response_parameter"},{"$ref":"#/components/parameters/rsvp_order_parameter"},{"$ref":"#/components/parameters/rsvp_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/event_rsvps_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/group_applications":{"summary":"GroupApplication","description":"A group application is a request to join a group which can be approved or rejected.\n","get":{"tags":["GroupApplication"],"parameters":[{"$ref":"#/components/parameters/groupapplication_where_applied_at_parameter"},{"$ref":"#/components/parameters/groupapplication_where_applied_at_gt_parameter"},{"$ref":"#/components/parameters/groupapplication_where_applied_at_gte_parameter"},{"$ref":"#/components/parameters/groupapplication_where_applied_at_lt_parameter"},{"$ref":"#/components/parameters/groupapplication_where_applied_at_lte_parameter"},{"$ref":"#/components/parameters/groupapplication_where_status_parameter"},{"$ref":"#/components/parameters/group_where_group_archive_status_parameter"},{"$ref":"#/components/parameters/group_where_group_name_parameter"},{"$ref":"#/components/parameters/person_where_person_first_name_parameter"},{"$ref":"#/components/parameters/person_where_person_last_name_parameter"},{"$ref":"#/components/parameters/grouptype_where_group_group_type_id_parameter"},{"$ref":"#/components/parameters/groupapplication_order_parameter"},{"$ref":"#/components/parameters/groupapplication_include_parameter"},{"$ref":"#/components/parameters/groupapplication_all_fields_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/grouptype_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/location_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_group_applications_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/group_applications/{group_application_id}":{"summary":"GroupApplication","description":"A group application is a request to join a group which can be approved or rejected.\n","get":{"tags":["GroupApplication"],"parameters":[{"name":"group_application_id","in":"path","schema":{"type":"string"},"required":true,"description":"The GroupApplication id"},{"$ref":"#/components/parameters/groupapplication_include_parameter"},{"$ref":"#/components/parameters/groupapplication_all_fields_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/grouptype_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/location_only_attributes_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_group_applications_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/group_applications/{group_application_id}/approve":{"summary":"approve","post":{"tags":["GroupApplication"],"parameters":[{"name":"group_application_id","in":"path","schema":{"type":"string"},"required":true,"description":"The GroupApplication id"}],"responses":{"201":{"description":"Successful action response","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/group_applications/{group_application_id}/group":{"summary":"Group","description":"A group of people that meet together regularly.\n","get":{"tags":["GroupApplication"],"parameters":[{"name":"group_application_id","in":"path","schema":{"type":"string"},"required":true,"description":"The GroupApplication id"},{"$ref":"#/components/parameters/group_where_archive_status_parameter"},{"$ref":"#/components/parameters/group_where_name_parameter"},{"$ref":"#/components/parameters/grouptype_where_group_type_id_parameter"},{"$ref":"#/components/parameters/group_where_location_group_archive_status_parameter"},{"$ref":"#/components/parameters/group_where_location_group_name_parameter"},{"$ref":"#/components/parameters/group_order_parameter"},{"$ref":"#/components/parameters/group_include_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_all_fields_parameter"},{"$ref":"#/components/parameters/grouptype_all_fields_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_application_group_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/group_applications/{group_application_id}/group/{group_id}":{"summary":"Group","description":"A group of people that meet together regularly.\n","get":{"tags":["GroupApplication"],"parameters":[{"name":"group_application_id","in":"path","schema":{"type":"string"},"required":true,"description":"The GroupApplication id"},{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"$ref":"#/components/parameters/group_include_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_all_fields_parameter"},{"$ref":"#/components/parameters/grouptype_all_fields_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_application_group_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["GroupApplication"],"parameters":[{"name":"group_application_id","in":"path","schema":{"type":"string"},"required":true,"description":"The GroupApplication id"},{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"$ref":"#/components/parameters/group_include_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_all_fields_parameter"},{"$ref":"#/components/parameters/grouptype_all_fields_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/group_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_application_group_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/group_applications/{group_application_id}/person":{"summary":"Person","description":"A person is a user of Planning Center.\nThey can be a member of a group, a leader of a group, or an administrator.\n","get":{"tags":["GroupApplication"],"parameters":[{"name":"group_application_id","in":"path","schema":{"type":"string"},"required":true,"description":"The GroupApplication id"},{"$ref":"#/components/parameters/person_where_first_name_parameter"},{"$ref":"#/components/parameters/person_where_last_name_parameter"},{"$ref":"#/components/parameters/person_order_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_application_person_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/group_applications/{group_application_id}/person/{person_id}":{"summary":"Person","description":"A person is a user of Planning Center.\nThey can be a member of a group, a leader of a group, or an administrator.\n","get":{"tags":["GroupApplication"],"parameters":[{"name":"group_application_id","in":"path","schema":{"type":"string"},"required":true,"description":"The GroupApplication id"},{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_application_person_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/group_applications/{group_application_id}/reject":{"summary":"reject","post":{"tags":["GroupApplication"],"parameters":[{"name":"group_application_id","in":"path","schema":{"type":"string"},"required":true,"description":"The GroupApplication id"}],"responses":{"201":{"description":"Successful action response","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/group_types":{"summary":"GroupType","description":"A group type is a category of groups.\nFor example, a church might have group types for \"Small Groups\" and \"Classes\".\n","get":{"tags":["GroupType"],"parameters":[{"$ref":"#/components/parameters/organization_group_types_filter_parameter"},{"$ref":"#/components/parameters/grouptype_where_id_parameter"},{"$ref":"#/components/parameters/grouptype_order_parameter"},{"$ref":"#/components/parameters/grouptype_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_group_types_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/group_types/{group_type_id}":{"summary":"GroupType","description":"A group type is a category of groups.\nFor example, a church might have group types for \"Small Groups\" and \"Classes\".\n","get":{"tags":["GroupType"],"parameters":[{"name":"group_type_id","in":"path","schema":{"type":"string"},"required":true,"description":"The GroupType id"},{"$ref":"#/components/parameters/grouptype_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_group_types_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/group_types/{group_type_id}/events":{"summary":"Event","description":"An event is a meeting of a group. It has a start and end time, and can be\neither physical or virtual.\n","get":{"tags":["GroupType"],"parameters":[{"name":"group_type_id","in":"path","schema":{"type":"string"},"required":true,"description":"The GroupType id"},{"$ref":"#/components/parameters/group_type_events_filter_parameter"},{"$ref":"#/components/parameters/event_where_name_parameter"},{"$ref":"#/components/parameters/event_where_starts_at_parameter"},{"$ref":"#/components/parameters/event_where_starts_at_gt_parameter"},{"$ref":"#/components/parameters/event_where_starts_at_gte_parameter"},{"$ref":"#/components/parameters/event_where_starts_at_lt_parameter"},{"$ref":"#/components/parameters/event_where_starts_at_lte_parameter"},{"$ref":"#/components/parameters/event_where_ends_at_parameter"},{"$ref":"#/components/parameters/event_where_ends_at_gt_parameter"},{"$ref":"#/components/parameters/event_where_ends_at_gte_parameter"},{"$ref":"#/components/parameters/event_where_ends_at_lt_parameter"},{"$ref":"#/components/parameters/event_where_ends_at_lte_parameter"},{"$ref":"#/components/parameters/group_where_group_archive_status_parameter"},{"$ref":"#/components/parameters/group_where_group_name_parameter"},{"$ref":"#/components/parameters/grouptype_where_group_group_type_id_parameter"},{"$ref":"#/components/parameters/group_where_location_group_archive_status_parameter"},{"$ref":"#/components/parameters/group_where_location_group_name_parameter"},{"$ref":"#/components/parameters/event_order_parameter"},{"$ref":"#/components/parameters/event_include_parameter"},{"$ref":"#/components/parameters/event_all_fields_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/grouptype_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_type_events_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/group_types/{group_type_id}/events/{event_id}":{"summary":"Event","description":"An event is a meeting of a group. It has a start and end time, and can be\neither physical or virtual.\n","get":{"tags":["GroupType"],"parameters":[{"name":"group_type_id","in":"path","schema":{"type":"string"},"required":true,"description":"The GroupType id"},{"name":"event_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Event id"},{"$ref":"#/components/parameters/event_include_parameter"},{"$ref":"#/components/parameters/event_all_fields_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/grouptype_only_attributes_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_type_events_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/group_types/{group_type_id}/groups":{"summary":"Group","description":"A group of people that meet together regularly.\n","get":{"tags":["GroupType"],"parameters":[{"name":"group_type_id","in":"path","schema":{"type":"string"},"required":true,"description":"The GroupType id"},{"$ref":"#/components/parameters/group_where_archive_status_parameter"},{"$ref":"#/components/parameters/group_where_name_parameter"},{"$ref":"#/components/parameters/grouptype_where_group_type_id_parameter"},{"$ref":"#/components/parameters/group_where_location_group_archive_status_parameter"},{"$ref":"#/components/parameters/group_where_location_group_name_parameter"},{"$ref":"#/components/parameters/group_order_parameter"},{"$ref":"#/components/parameters/group_include_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_all_fields_parameter"},{"$ref":"#/components/parameters/grouptype_all_fields_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_type_groups_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/group_types/{group_type_id}/groups/{group_id}":{"summary":"Group","description":"A group of people that meet together regularly.\n","get":{"tags":["GroupType"],"parameters":[{"name":"group_type_id","in":"path","schema":{"type":"string"},"required":true,"description":"The GroupType id"},{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"$ref":"#/components/parameters/group_include_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_all_fields_parameter"},{"$ref":"#/components/parameters/grouptype_all_fields_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_type_groups_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["GroupType"],"parameters":[{"name":"group_type_id","in":"path","schema":{"type":"string"},"required":true,"description":"The GroupType id"},{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"$ref":"#/components/parameters/group_include_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_all_fields_parameter"},{"$ref":"#/components/parameters/grouptype_all_fields_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/group_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_type_groups_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/group_types/{group_type_id}/resources":{"summary":"Resource","description":"A file or link resource that can be shared with a group.\n","get":{"tags":["GroupType"],"parameters":[{"name":"group_type_id","in":"path","schema":{"type":"string"},"required":true,"description":"The GroupType id"},{"$ref":"#/components/parameters/resource_order_parameter"},{"$ref":"#/components/parameters/resource_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_type_resources_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/group_types/{group_type_id}/resources/{resource_id}":{"summary":"Resource","description":"A file or link resource that can be shared with a group.\n","get":{"tags":["GroupType"],"parameters":[{"name":"group_type_id","in":"path","schema":{"type":"string"},"required":true,"description":"The GroupType id"},{"name":"resource_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Resource id"},{"$ref":"#/components/parameters/resource_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_type_resources_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/group_types/{group_type_id}/resources/{resource_id}/download":{"summary":"Resource","description":"A file or link resource that can be shared with a group.\n","get":{"tags":["GroupType"],"parameters":[{"name":"group_type_id","in":"path","schema":{"type":"string"},"required":true,"description":"The GroupType id"},{"name":"resource_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Resource id"},{"$ref":"#/components/parameters/resource_order_parameter"},{"$ref":"#/components/parameters/resource_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/resource_download_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/group_types/{group_type_id}/resources/{resource_id}/download/{download_id}":{"summary":"Resource","description":"A file or link resource that can be shared with a group.\n","get":{"tags":["GroupType"],"parameters":[{"name":"group_type_id","in":"path","schema":{"type":"string"},"required":true,"description":"The GroupType id"},{"name":"resource_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Resource id"},{"name":"download_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Download id"},{"$ref":"#/components/parameters/resource_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/resource_download_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/group_types/{group_type_id}/resources/{resource_id}/visit":{"summary":"Resource","description":"A file or link resource that can be shared with a group.\n","get":{"tags":["GroupType"],"parameters":[{"name":"group_type_id","in":"path","schema":{"type":"string"},"required":true,"description":"The GroupType id"},{"name":"resource_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Resource id"},{"$ref":"#/components/parameters/resource_order_parameter"},{"$ref":"#/components/parameters/resource_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/resource_visit_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/group_types/{group_type_id}/resources/{resource_id}/visit/{visit_id}":{"summary":"Resource","description":"A file or link resource that can be shared with a group.\n","get":{"tags":["GroupType"],"parameters":[{"name":"group_type_id","in":"path","schema":{"type":"string"},"required":true,"description":"The GroupType id"},{"name":"resource_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Resource id"},{"name":"visit_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Visit id"},{"$ref":"#/components/parameters/resource_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/resource_visit_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/groups":{"summary":"Group","description":"A group of people that meet together regularly.\n","get":{"tags":["Group"],"parameters":[{"$ref":"#/components/parameters/organization_groups_filter_parameter"},{"$ref":"#/components/parameters/group_where_archive_status_parameter"},{"$ref":"#/components/parameters/group_where_name_parameter"},{"$ref":"#/components/parameters/grouptype_where_group_type_id_parameter"},{"$ref":"#/components/parameters/group_where_location_group_archive_status_parameter"},{"$ref":"#/components/parameters/group_where_location_group_name_parameter"},{"$ref":"#/components/parameters/group_order_parameter"},{"$ref":"#/components/parameters/group_include_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_all_fields_parameter"},{"$ref":"#/components/parameters/grouptype_all_fields_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_groups_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}":{"summary":"Group","description":"A group of people that meet together regularly.\n","get":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"$ref":"#/components/parameters/group_include_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_all_fields_parameter"},{"$ref":"#/components/parameters/grouptype_all_fields_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_groups_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"$ref":"#/components/parameters/group_include_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_all_fields_parameter"},{"$ref":"#/components/parameters/grouptype_all_fields_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/group_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_groups_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/applications":{"summary":"GroupApplication","description":"A group application is a request to join a group which can be approved or rejected.\n","get":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"$ref":"#/components/parameters/groupapplication_where_applied_at_parameter"},{"$ref":"#/components/parameters/groupapplication_where_applied_at_gt_parameter"},{"$ref":"#/components/parameters/groupapplication_where_applied_at_gte_parameter"},{"$ref":"#/components/parameters/groupapplication_where_applied_at_lt_parameter"},{"$ref":"#/components/parameters/groupapplication_where_applied_at_lte_parameter"},{"$ref":"#/components/parameters/groupapplication_where_status_parameter"},{"$ref":"#/components/parameters/group_where_group_archive_status_parameter"},{"$ref":"#/components/parameters/group_where_group_name_parameter"},{"$ref":"#/components/parameters/person_where_person_first_name_parameter"},{"$ref":"#/components/parameters/person_where_person_last_name_parameter"},{"$ref":"#/components/parameters/grouptype_where_group_group_type_id_parameter"},{"$ref":"#/components/parameters/groupapplication_order_parameter"},{"$ref":"#/components/parameters/groupapplication_include_parameter"},{"$ref":"#/components/parameters/groupapplication_all_fields_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/grouptype_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/location_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_applications_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/applications/{application_id}":{"summary":"GroupApplication","description":"A group application is a request to join a group which can be approved or rejected.\n","get":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"name":"application_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Application id"},{"$ref":"#/components/parameters/groupapplication_include_parameter"},{"$ref":"#/components/parameters/groupapplication_all_fields_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/grouptype_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/location_only_attributes_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_applications_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/assign_campuses":{"summary":"assign_campuses","post":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"}],"responses":{"201":{"description":"Successful action response","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/campuses":{"summary":"Campus","description":"A campus as defined in Planning Center Accounts\n","get":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"$ref":"#/components/parameters/campus_where_id_parameter"},{"$ref":"#/components/parameters/campus_where_name_parameter"},{"$ref":"#/components/parameters/campus_order_parameter"},{"$ref":"#/components/parameters/campus_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_campuses_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/campuses/{campus_id}":{"summary":"Campus","description":"A campus as defined in Planning Center Accounts\n","get":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"name":"campus_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Campus id"},{"$ref":"#/components/parameters/campus_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_campuses_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/disable_chat":{"summary":"disable_chat","post":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"}],"responses":{"201":{"description":"Successful action response","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/duplicate":{"summary":"duplicate","post":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"}],"responses":{"201":{"description":"Successful action response","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/enable_chat":{"summary":"enable_chat","post":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"}],"responses":{"201":{"description":"Successful action response","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/enrollment":{"summary":"Enrollment","description":"Details on how and when members can join a `Group`.\n","get":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"$ref":"#/components/parameters/enrollment_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_enrollment_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/events":{"summary":"Event","description":"An event is a meeting of a group. It has a start and end time, and can be\neither physical or virtual.\n","get":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"$ref":"#/components/parameters/group_events_filter_parameter"},{"$ref":"#/components/parameters/event_where_name_parameter"},{"$ref":"#/components/parameters/event_where_starts_at_parameter"},{"$ref":"#/components/parameters/event_where_starts_at_gt_parameter"},{"$ref":"#/components/parameters/event_where_starts_at_gte_parameter"},{"$ref":"#/components/parameters/event_where_starts_at_lt_parameter"},{"$ref":"#/components/parameters/event_where_starts_at_lte_parameter"},{"$ref":"#/components/parameters/event_where_ends_at_parameter"},{"$ref":"#/components/parameters/event_where_ends_at_gt_parameter"},{"$ref":"#/components/parameters/event_where_ends_at_gte_parameter"},{"$ref":"#/components/parameters/event_where_ends_at_lt_parameter"},{"$ref":"#/components/parameters/event_where_ends_at_lte_parameter"},{"$ref":"#/components/parameters/group_where_group_archive_status_parameter"},{"$ref":"#/components/parameters/group_where_group_name_parameter"},{"$ref":"#/components/parameters/grouptype_where_group_group_type_id_parameter"},{"$ref":"#/components/parameters/group_where_location_group_archive_status_parameter"},{"$ref":"#/components/parameters/group_where_location_group_name_parameter"},{"$ref":"#/components/parameters/event_order_parameter"},{"$ref":"#/components/parameters/event_include_parameter"},{"$ref":"#/components/parameters/event_all_fields_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/grouptype_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_events_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/events/{event_id}":{"summary":"Event","description":"An event is a meeting of a group. It has a start and end time, and can be\neither physical or virtual.\n","get":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"name":"event_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Event id"},{"$ref":"#/components/parameters/event_include_parameter"},{"$ref":"#/components/parameters/event_all_fields_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/grouptype_only_attributes_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_events_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/group_type":{"summary":"GroupType","description":"A group type is a category of groups.\nFor example, a church might have group types for \"Small Groups\" and \"Classes\".\n","get":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"$ref":"#/components/parameters/grouptype_where_id_parameter"},{"$ref":"#/components/parameters/grouptype_order_parameter"},{"$ref":"#/components/parameters/grouptype_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_group_type_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/group_type/{group_type_id}":{"summary":"GroupType","description":"A group type is a category of groups.\nFor example, a church might have group types for \"Small Groups\" and \"Classes\".\n","get":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"name":"group_type_id","in":"path","schema":{"type":"string"},"required":true,"description":"The GroupType id"},{"$ref":"#/components/parameters/grouptype_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_group_type_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/location":{"summary":"Location","description":"A physical event location\n","get":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"$ref":"#/components/parameters/group_where_group_archive_status_parameter"},{"$ref":"#/components/parameters/group_where_group_name_parameter"},{"$ref":"#/components/parameters/grouptype_where_group_group_type_id_parameter"},{"$ref":"#/components/parameters/location_include_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/grouptype_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_location_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/location/{location_id}":{"summary":"Location","description":"A physical event location\n","get":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"name":"location_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Location id"},{"$ref":"#/components/parameters/location_include_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/grouptype_only_attributes_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_location_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/memberships":{"summary":"Membership","description":"The state of a `Person` belonging to a `Group`.\n\nA `Person` can only have one active `Membership` to a `Group` at a time.\n","get":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"$ref":"#/components/parameters/membership_where_role_parameter"},{"$ref":"#/components/parameters/person_where_person_first_name_parameter"},{"$ref":"#/components/parameters/person_where_person_last_name_parameter"},{"$ref":"#/components/parameters/membership_order_parameter"},{"$ref":"#/components/parameters/membership_include_parameter"},{"$ref":"#/components/parameters/membership_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_memberships_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"post":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"$ref":"#/components/parameters/membership_include_parameter"},{"$ref":"#/components/parameters/membership_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/membership_resource_create"},"responses":{"201":{"description":"Successful create response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_memberships_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/memberships/{membership_id}":{"summary":"Membership","description":"The state of a `Person` belonging to a `Group`.\n\nA `Person` can only have one active `Membership` to a `Group` at a time.\n","get":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"name":"membership_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Membership id"},{"$ref":"#/components/parameters/membership_include_parameter"},{"$ref":"#/components/parameters/membership_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_memberships_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"name":"membership_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Membership id"},{"$ref":"#/components/parameters/membership_include_parameter"},{"$ref":"#/components/parameters/membership_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/membership_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_memberships_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"name":"membership_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Membership id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/memberships/{membership_id}/group":{"summary":"Group","description":"A group of people that meet together regularly.\n","get":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"name":"membership_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Membership id"},{"$ref":"#/components/parameters/group_where_archive_status_parameter"},{"$ref":"#/components/parameters/group_where_name_parameter"},{"$ref":"#/components/parameters/grouptype_where_group_type_id_parameter"},{"$ref":"#/components/parameters/group_where_location_group_archive_status_parameter"},{"$ref":"#/components/parameters/group_where_location_group_name_parameter"},{"$ref":"#/components/parameters/group_order_parameter"},{"$ref":"#/components/parameters/group_include_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_all_fields_parameter"},{"$ref":"#/components/parameters/grouptype_all_fields_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/membership_group_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/memberships/{membership_id}/group/{group_id}":{"summary":"Group","description":"A group of people that meet together regularly.\n","get":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"name":"membership_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Membership id"},{"$ref":"#/components/parameters/group_include_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_all_fields_parameter"},{"$ref":"#/components/parameters/grouptype_all_fields_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/membership_group_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"name":"membership_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Membership id"},{"$ref":"#/components/parameters/group_include_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_all_fields_parameter"},{"$ref":"#/components/parameters/grouptype_all_fields_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/group_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/membership_group_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/memberships/{membership_id}/person":{"summary":"Person","description":"A person is a user of Planning Center.\nThey can be a member of a group, a leader of a group, or an administrator.\n","get":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"name":"membership_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Membership id"},{"$ref":"#/components/parameters/person_where_first_name_parameter"},{"$ref":"#/components/parameters/person_where_last_name_parameter"},{"$ref":"#/components/parameters/person_order_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/membership_person_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/memberships/{membership_id}/person/{person_id}":{"summary":"Person","description":"A person is a user of Planning Center.\nThey can be a member of a group, a leader of a group, or an administrator.\n","get":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"name":"membership_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Membership id"},{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/membership_person_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/my_membership":{"summary":"Membership","description":"The state of a `Person` belonging to a `Group`.\n\nA `Person` can only have one active `Membership` to a `Group` at a time.\n","get":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"$ref":"#/components/parameters/membership_where_role_parameter"},{"$ref":"#/components/parameters/person_where_person_first_name_parameter"},{"$ref":"#/components/parameters/person_where_person_last_name_parameter"},{"$ref":"#/components/parameters/membership_order_parameter"},{"$ref":"#/components/parameters/membership_include_parameter"},{"$ref":"#/components/parameters/membership_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_my_membership_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/my_membership/{my_membership_id}":{"summary":"Membership","description":"The state of a `Person` belonging to a `Group`.\n\nA `Person` can only have one active `Membership` to a `Group` at a time.\n","get":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"name":"my_membership_id","in":"path","schema":{"type":"string"},"required":true,"description":"The MyMembership id"},{"$ref":"#/components/parameters/membership_include_parameter"},{"$ref":"#/components/parameters/membership_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_my_membership_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"name":"my_membership_id","in":"path","schema":{"type":"string"},"required":true,"description":"The MyMembership id"},{"$ref":"#/components/parameters/membership_include_parameter"},{"$ref":"#/components/parameters/membership_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/membership_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_my_membership_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"name":"my_membership_id","in":"path","schema":{"type":"string"},"required":true,"description":"The MyMembership id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/people":{"summary":"Person","description":"A person is a user of Planning Center.\nThey can be a member of a group, a leader of a group, or an administrator.\n","get":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"$ref":"#/components/parameters/person_where_first_name_parameter"},{"$ref":"#/components/parameters/person_where_last_name_parameter"},{"$ref":"#/components/parameters/person_order_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_people_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/people/{person_id}":{"summary":"Person","description":"A person is a user of Planning Center.\nThey can be a member of a group, a leader of a group, or an administrator.\n","get":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_people_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/resources":{"summary":"Resource","description":"A file or link resource that can be shared with a group.\n","get":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"$ref":"#/components/parameters/group_resources_filter_parameter"},{"$ref":"#/components/parameters/resource_order_parameter"},{"$ref":"#/components/parameters/resource_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_resources_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/resources/{resource_id}":{"summary":"Resource","description":"A file or link resource that can be shared with a group.\n","get":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"name":"resource_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Resource id"},{"$ref":"#/components/parameters/resource_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_resources_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/tags":{"summary":"Tag","description":"Tags are used to filter groups.\nThey can be organized into tag_groups.\n","get":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"$ref":"#/components/parameters/tag_where_id_parameter"},{"$ref":"#/components/parameters/tag_where_name_parameter"},{"$ref":"#/components/parameters/tag_order_parameter"},{"$ref":"#/components/parameters/tag_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_tags_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/tags/{tag_id}":{"summary":"Tag","description":"Tags are used to filter groups.\nThey can be organized into tag_groups.\n","get":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"name":"tag_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Tag id"},{"$ref":"#/components/parameters/tag_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_tags_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/tags/{tag_id}/groups":{"summary":"Group","description":"A group of people that meet together regularly.\n","get":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"name":"tag_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Tag id"},{"$ref":"#/components/parameters/group_where_archive_status_parameter"},{"$ref":"#/components/parameters/group_where_name_parameter"},{"$ref":"#/components/parameters/grouptype_where_group_type_id_parameter"},{"$ref":"#/components/parameters/group_where_location_group_archive_status_parameter"},{"$ref":"#/components/parameters/group_where_location_group_name_parameter"},{"$ref":"#/components/parameters/group_order_parameter"},{"$ref":"#/components/parameters/group_include_parameter"},{"$ref":"#/components/parameters/group_all_fields_parameter"},{"$ref":"#/components/parameters/enrollment_all_fields_parameter"},{"$ref":"#/components/parameters/grouptype_all_fields_parameter"},{"$ref":"#/components/parameters/location_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/tag_groups_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/groups/{group_id}/tags/{tag_id}/groups/{group_id}":{"summary":"Group","description":"A group of people that meet together regularly.\n","get":{"tags":["Group"],"parameters":[{"name":"group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Group id"},{"name":"tag_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Tag id"},{"$ref":"#/component
[...]
